summaryrefslogtreecommitdiff
path: root/tests/rm/rm2
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-05-21 22:58:48 +0000
committerJim Meyering <jim@meyering.net>2002-05-21 22:58:48 +0000
commit0ded127f4c506abc0e0ceed683b2a13b822cc1e9 (patch)
tree04c160b4ea2b07e6d38b603e5cf0d53e15f21f58 /tests/rm/rm2
parent205cfe4695ade0bacf2b35f45d370df1e7fcad4b (diff)
downloadcoreutils-0ded127f4c506abc0e0ceed683b2a13b822cc1e9.tar.xz
.
Diffstat (limited to 'tests/rm/rm2')
-rwxr-xr-xtests/rm/rm247
1 files changed, 47 insertions, 0 deletions
diff --git a/tests/rm/rm2 b/tests/rm/rm2
new file mode 100755
index 000000000..5ff948d29
--- /dev/null
+++ b/tests/rm/rm2
@@ -0,0 +1,47 @@
+#!/bin/sh
+# exercise another small part of remove.c
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rm --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir -p a/1/2 b/3 || framework_failure=1
+chmod u-x a/1 b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo '$0: failure in testing framework' 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+
+# Exercise two separate code paths -- though both result
+# in the same sort of diagnostic.
+# Both of these should fail.
+rm -rf a b > out 2>&1 && fail=1
+cat <<EOF > exp
+rm: cannot chdir from \`a/.' to \`1': Permission denied
+rm: cannot chdir from \`.' to \`b': Permission denied
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+test -d a/1 || fail=1
+chmod u+x b
+test -d b/3 || fail=1
+
+(exit $fail); exit